/**
 * intervalometer
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tomi.suviola@gmail.com so I can send you a copy immediately.
 *
 * @copyright  Copyright (c) 2010 Tomi Suviola
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

#include <QtGui>
#include "exampleplugin.h"

QString ExamplePlugin::name()
{
    qDebug("name");
    return QString("example");
}

void ExamplePlugin::open()
{
    qDebug("open");
}

void ExamplePlugin::close()
{
    qDebug("close");
}

void ExamplePlugin::shutter(const bool open)
{
    if (open)
        qDebug("shutter: on");
    else
        qDebug("shutter: off");
}

void ExamplePlugin::focus(const bool open)
{
    if (open)
        qDebug("focus: on");
    else
        qDebug("focus: off");
}

Q_EXPORT_PLUGIN2(exampleplugin, ExamplePlugin);
